=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-01-15 03:28:20 +0000
+++ drizzled/drizzled.cc	2009-01-15 04:00:23 +0000
@@ -3327,11 +3327,6 @@
    (char**) &global_system_variables.min_examined_row_limit,
    (char**) &max_system_variables.min_examined_row_limit, 0, GET_ULL,
    REQUIRED_ARG, 0, 0, ULONG_MAX, 0, 1L, 0},
-  {"myisam_data_pointer_size", OPT_MYISAM_DATA_POINTER_SIZE,
-   N_("Default pointer size to be used for MyISAM tables."),
-   (char**) &myisam_data_pointer_size,
-   (char**) &myisam_data_pointer_size, 0, GET_ULONG, REQUIRED_ARG,
-   6, 2, 7, 0, 1, 0},
   {"myisam_stats_method", OPT_MYISAM_STATS_METHOD,
    N_("Specifies how MyISAM index statistics collection code should threat "
       "NULLs. Possible values of name are 'nulls_unequal' "

=== modified file 'storage/myisam/ha_myisam.cc'
--- storage/myisam/ha_myisam.cc	2009-01-15 03:28:20 +0000
+++ storage/myisam/ha_myisam.cc	2009-01-15 04:00:23 +0000
@@ -1888,11 +1888,18 @@
                                 N_("The buffer that is allocated when sorting the index when doing a REPAIR or when creating indexes with CREATE INDEX or ALTER TABLE."),
                                 NULL, NULL, 8192*1024, 1024, UINT64_MAX, 0);
 
+extern uint32_t data_pointer_size;
+static DRIZZLE_SYSVAR_UINT(data_pointer_size, data_pointer_size,
+                           PLUGIN_VAR_RQCMDARG,
+                           N_("Default pointer size to be used for MyISAM tables."),
+                           NULL, NULL, 6, 2, 7, 0);
+
 static struct st_mysql_sys_var* system_variables[]= {
   DRIZZLE_SYSVAR(block_size),
   DRIZZLE_SYSVAR(repair_threads),
   DRIZZLE_SYSVAR(max_sort_file_size),
   DRIZZLE_SYSVAR(sort_buffer_size),
+  DRIZZLE_SYSVAR(data_pointer_size),
   NULL
 };
 

=== modified file 'storage/myisam/mi_create.c'
--- storage/myisam/mi_create.c	2008-12-07 22:57:38 +0000
+++ storage/myisam/mi_create.c	2009-01-15 04:00:23 +0000
@@ -202,9 +202,9 @@
 					  3 : 0)));
 
   if (options & (HA_OPTION_COMPRESS_RECORD | HA_OPTION_PACK_RECORD))
-    pointer=mi_get_pointer_length(ci->data_file_length,myisam_data_pointer_size);
+    pointer=mi_get_pointer_length(ci->data_file_length, data_pointer_size);
   else
-    pointer=mi_get_pointer_length(ci->max_rows,myisam_data_pointer_size);
+    pointer=mi_get_pointer_length(ci->max_rows, data_pointer_size);
   if (!(max_rows=(uint64_t) ci->max_rows))
     max_rows= ((((uint64_t) 1 << (pointer*8)) -1) / min_pack_length);
 

=== modified file 'storage/myisam/mi_info.c'
--- storage/myisam/mi_info.c	2008-10-06 06:47:29 +0000
+++ storage/myisam/mi_info.c	2009-01-15 04:00:23 +0000
@@ -73,8 +73,7 @@
     x->filenr	 = info->dfile;
     x->options	 = share->options;
     x->create_time=share->state.create_time;
-    x->reflength= mi_get_pointer_length(share->base.max_data_file_length,
-                                        myisam_data_pointer_size);
+    x->reflength= mi_get_pointer_length(share->base.max_data_file_length, data_pointer_size);
     x->record_offset= ((share->options &
 			(HA_OPTION_PACK_RECORD | HA_OPTION_COMPRESS_RECORD)) ?
 		       0L : share->base.pack_reclength);

=== modified file 'storage/myisam/mi_static.c'
--- storage/myisam/mi_static.c	2008-10-06 06:47:29 +0000
+++ storage/myisam/mi_static.c	2009-01-15 04:00:23 +0000
@@ -35,7 +35,7 @@
 uint32_t myisam_concurrent_insert= 2;
 my_off_t myisam_max_temp_length= MAX_FILE_SIZE;
 uint32_t myisam_bulk_insert_tree_size=8192*1024;
-uint32_t myisam_data_pointer_size=4;
+uint32_t data_pointer_size=4;
 
 /*
   read_vec[] is used for converting between P_READ_KEY.. and SEARCH_

=== modified file 'storage/myisam/myisam.h'
--- storage/myisam/myisam.h	2008-12-15 18:33:47 +0000
+++ storage/myisam/myisam.h	2009-01-15 04:00:23 +0000
@@ -252,7 +252,8 @@
 extern uint32_t myisam_concurrent_insert;
 extern bool myisam_flush,myisam_delay_key_write,myisam_single_user;
 extern my_off_t myisam_max_temp_length;
-extern uint32_t myisam_bulk_insert_tree_size, myisam_data_pointer_size;
+extern uint32_t myisam_bulk_insert_tree_size; 
+extern uint32_t data_pointer_size;
 
 	/* Prototypes for myisam-functions */
 

=== modified file 'tests/r/variables.result'
--- tests/r/variables.result	2009-01-15 03:28:20 +0000
+++ tests/r/variables.result	2009-01-15 04:00:23 +0000
@@ -692,7 +692,7 @@
 set global max_join_size             =@my_max_join_size;
 set global max_write_lock_count      =default;
 set global myisam_data_pointer_size  =@my_myisam_data_pointer_size;
-ERROR HY000: Unknown system variable 'myisam_data_pointer_size'
+ERROR 42000: Incorrect argument type to variable 'myisam_data_pointer_size'
 set global net_buffer_length         =@my_net_buffer_length;
 set global net_write_timeout         =@my_net_write_timeout;
 set global net_read_timeout          =@my_net_read_timeout;

=== modified file 'tests/t/variables.test'
--- tests/t/variables.test	2009-01-15 03:28:20 +0000
+++ tests/t/variables.test	2009-01-15 04:00:23 +0000
@@ -596,7 +596,7 @@
 # No default
 #set global max_user_connections      =default;
 set global max_write_lock_count      =default;
---error 1193
+--error 1232
 set global myisam_data_pointer_size  =@my_myisam_data_pointer_size;
 set global net_buffer_length         =@my_net_buffer_length;
 set global net_write_timeout         =@my_net_write_timeout;

